<template>
<div>
  <st-back-btn/>
    <div class="content-body">
      <div class="justify-flex">
        <st-subtitle text="Datos generales"/>
      </div>
      <v-row>
        <v-col md="6" v-for="(field,index) in fields" :key="index">
          <v-row md="2" align="center">
            <v-col md="4"><v-label>{{ field.label}}</v-label></v-col>
            <v-col md="8"><v-label>{{ field.value}}</v-label></v-col>
          </v-row>
        </v-col>
      </v-row>
  </div>
  <div class="content-body">
      <div class="justify-flex">
        <st-subtitle text="Información adicional"/>
      </div>
      <v-row v-if="files.length == 0">
        <v-col class="font-italic">No hay información adicional</v-col>
      </v-row>
      <v-row v-else>
        <v-col md="6" v-for="(file,index) in files" :key="index">
          <v-row>
            <v-col>{{ file.name }}</v-col>
          </v-row>
        </v-col>
      </v-row>
  </div>
</div>
</template>

<script>
import axios from 'axios'
export default {
  async asyncData({ params }) {
        let { data } = await axios.get('https://ghibliapi.herokuapp.com/films/')
        //data = [x,y]
        return { data }
  },
  data () {
    return{
      fields:{
       correo:{
          value: 'a20161521@pucp.edu.pe',
          label: 'Correo electrónico',
          counter: '',
        },
        codigo:{
          value: '20161521',
          label: 'Código del alumno',
          counter: '8', 
        },
        nombres:{
          value: 'Fernando Alvaro',
          label: 'Nombres',
          counter: '150', 
          
        },
        apellidoPat:{
          value: 'Castro',
          label: 'Apellido paterno',
          counter: '150', 
          
        },
        apellidoMat:{
          value: 'Dias',
          label: 'Apellido materno',
          counter: '150', 
          
        },
        telefono:{
          value: '',
          label: 'Teléfono',
          counter: '9', 
        }
      },
      files:[
        {
          url: 'asdadsada',
          name: 'Historico de notas'
        }
      ]
    }
  },
  methods: {
    validate () {
      this.$refs.form.validate()
    },
  }
}
</script>

<style scoped lang="scss"> 
/* scope for encapsulate css */
.col{
  padding-top:0;
  padding-bottom:0
}
.justify-flex{
  display: flex;
  justify-content:space-between;
  align-items:flex-end;
}
</style>
